Package com.emc.d2fs.models.checkin_parameters

# Class CheckinParameters

java.lang.Object
com.emc.d2fs.models.checkin_parameters.CheckinParameters

All Implemented Interfaces:
  `Serializable`

public class CheckinParameters extends Object implements Serializable

Java class for checkin_parameters complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="checkin_parameters">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="file_url" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="log_entry" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="a_content_type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="checkin_version" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="make_current" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="retain_lock" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="keep_symbolic_label" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="keep_log_entry" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="queue_rendition" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckinParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAContentType()`
  Gets the value of the aContentType property.
  `String`
  `getCheckinVersion()`
  Gets the value of the checkinVersion property.
  `String`
  `getFileUrl()`
  Gets the value of the fileUrl property.
  `String`
  `getLogEntry()`
  Gets the value of the logEntry property.
  `Boolean`
  `isKeepLogEntry()`
  Gets the value of the keepLogEntry property.
  `Boolean`
  `isKeepSymbolicLabel()`
  Gets the value of the keepSymbolicLabel property.
  `Boolean`
  `isMakeCurrent()`
  Gets the value of the makeCurrent property.
  `Boolean`
  `isQueueRendition()`
  Gets the value of the queueRendition property.
  `Boolean`
  `isRetainLock()`
  Gets the value of the retainLock property.
  `void`
  `setAContentType(String value)`
  Sets the value of the aContentType property.
  `void`
  `setCheckinVersion(String value)`
  Sets the value of the checkinVersion property.
  `void`
  `setFileUrl(String value)`
  Sets the value of the fileUrl property.
  `void`
  `setKeepLogEntry(Boolean value)`
  Sets the value of the keepLogEntry property.
  `void`
  `setKeepSymbolicLabel(Boolean value)`
  Sets the value of the keepSymbolicLabel property.
  `void`
  `setLogEntry(String value)`
  Sets the value of the logEntry property.
  `void`
  `setMakeCurrent(Boolean value)`
  Sets the value of the makeCurrent property.
  `void`
  `setQueueRendition(Boolean value)`
  Sets the value of the queueRendition property.
  `void`
  `setRetainLock(Boolean value)`
  Sets the value of the retainLock property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckinParameters

    public CheckinParameters()

- ## Method Details

  - ### getFileUrl

    public String getFileUrl()
    Gets the value of the fileUrl property.
    Returns:
      possible object is `String`

  - ### setFileUrl

    public void setFileUrl(String value)
    Sets the value of the fileUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLogEntry

    public String getLogEntry()
    Gets the value of the logEntry property.
    Returns:
      possible object is `String`

  - ### setLogEntry

    public void setLogEntry(String value)
    Sets the value of the logEntry property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAContentType

    public String getAContentType()
    Gets the value of the aContentType property.
    Returns:
      possible object is `String`

  - ### setAContentType

    public void setAContentType(String value)
    Sets the value of the aContentType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCheckinVersion

    public String getCheckinVersion()
    Gets the value of the checkinVersion property.
    Returns:
      possible object is `String`

  - ### setCheckinVersion

    public void setCheckinVersion(String value)
    Sets the value of the checkinVersion property.
    Parameters:
      `value` - allowed object is `String`

  - ### isMakeCurrent

    public Boolean isMakeCurrent()
    Gets the value of the makeCurrent property.
    Returns:
      possible object is `Boolean`

  - ### setMakeCurrent

    public void setMakeCurrent(Boolean value)
    Sets the value of the makeCurrent property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isRetainLock

    public Boolean isRetainLock()
    Gets the value of the retainLock property.
    Returns:
      possible object is `Boolean`

  - ### setRetainLock

    public void setRetainLock(Boolean value)
    Sets the value of the retainLock property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isKeepSymbolicLabel

    public Boolean isKeepSymbolicLabel()
    Gets the value of the keepSymbolicLabel property.
    Returns:
      possible object is `Boolean`

  - ### setKeepSymbolicLabel

    public void setKeepSymbolicLabel(Boolean value)
    Sets the value of the keepSymbolicLabel property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isKeepLogEntry

    public Boolean isKeepLogEntry()
    Gets the value of the keepLogEntry property.
    Returns:
      possible object is `Boolean`

  - ### setKeepLogEntry

    public void setKeepLogEntry(Boolean value)
    Sets the value of the keepLogEntry property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isQueueRendition

    public Boolean isQueueRendition()
    Gets the value of the queueRendition property.
    Returns:
      possible object is `Boolean`

  - ### setQueueRendition

    public void setQueueRendition(Boolean value)
    Sets the value of the queueRendition property.
    Parameters:
      `value` - allowed object is `Boolean`